Subject: Re: Using interface number probing for usbnet drivers before 3.6-rc1?

From: Bjørn Mork <[email-masked]>
Date: Wed, 04 Jul 2012 16:50:53 +0200

Greg Kroah-Hartman <[email-masked]> writes:
> On Wed, Jul 04, 2012 at 01:19:35PM +0200, Bjørn Mork wrote:
>> David Miller <[email-masked]> writes:
>> > From: Bjørn Mork <[email-masked]>
>> > Date: Sat, 23 Jun 2012 11:26:54 +0200
>> >
>> >> Is waiting for 3.6-rc1 the best alternative, or is cherry-picking them
>> >> an option?
>> >
>> > I'm extremely reluctant to have a dependency on another tree.
>> >
>> > The USB tree, on the other hand, could pull the net-next tree
>> > in so you can continue your dependent work there.
>> 
>> Hello Greg,
>> 
>> I know I said I would be more careful about cross-tree dependencies, but
>> here I am again...
>> 
>> The context is: How should I proceed with interface number based probing
>> for usbnet drivers, in particular qmi_wwan which already has a few
>> patches in net-next?
>> 
>> I see two possible remaining options:
>> 
>>  1) you pull the net-next changes into usb-next so that I can do the
>>     work against usb-next now, or
>>  2) I wait for 3.6-rc1 and do the work against the net tree after
>>     3.6-rc1 is merged there
>> 
>> I have decided to go for option #2 unless either of you have other
>> preferences, as I believe that is going to cause the least work and
>> merge trouble for you both.
>
> What about:
>    3) You send the usb interface number matching patches again for them
>    to be included in the net-next tree as well, causing duplicates to be
>    in linux-next, but allowing you to send your patches into net-next.
>
> That is what we have done at times for other patches, and if David is ok
> with it, so am I.  Odds are, the merge will happen automatically, but if
> not, I can handle it when 3.6-rc1 comes around.
>
> Sound good?

I could have misunderstood, but I thought that was out of the question
given that David didn't want to cherry-pick them from usb-next.

Bjørn